%define upstream_name    Data-Password
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for assessing password quality
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module checks potential passwords for crackability. It checks that the
password is in the appropriate length, that it has enough character groups,
that it does not contain the same characters repeatedly or ascending or
descending characters, or charcters close to each other in the keyboard. It
will also attempt to search the ispell word file for existance of whole
words. The module's policies can be modified by changing its variables.
(Check the "VARIABLES" manpage). For doing it, it is recommended to import
the ':all' shortcut when requiring it:

_use Data::Password qw(:all);_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.120.0-3pclos2017
- rebuild against updates

